javax.persistence.metamodel

## Interface SingularAttribute<X,T>

- Type Parameters:
    `X` - The type containing the represented attribute
    `T` - The type of the represented attribute
  All Superinterfaces:
    Attribute<X,T>, Bindable<T>

      public interface SingularAttribute<X,T>
      extends Attribute<X,T>, Bindable<T>

  Instances of the type `SingularAttribute` represents persistent single-valued properties or fields.
  Since:
    Java Persistence 2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute

      `Attribute.PersistentAttributeType`

    - ### Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable

      `Bindable.BindableType`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Type<T>` | `getType()` Return the type that represents the type of the attribute.
    `boolean` | `isId()` Is the attribute an id attribute.
    `boolean` | `isOptional()` Can the attribute be null.
    `boolean` | `isVersion()` Is the attribute a version attribute.

    - ### Methods inherited from interface javax.persistence.metamodel.Attribute

      `getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType, isAssociation, isCollection`

    - ### Methods inherited from interface javax.persistence.metamodel.Bindable

      `getBindableJavaType, getBindableType`

- - ### Method Detail

    - #### isId

          boolean isId()

      Is the attribute an id attribute. This method will return true if the attribute is an attribute that corresponds to a simple id, an embedded id, or an attribute of an id class.
      Returns:
        boolean indicating whether the attribute is an id

    - #### isVersion

          boolean isVersion()

      Is the attribute a version attribute.
      Returns:
        boolean indicating whether the attribute is a version attribute

    - #### isOptional

          boolean isOptional()

      Can the attribute be null.
      Returns:
        boolean indicating whether the attribute can be null

    - #### getType

          Type<T> getType()

      Return the type that represents the type of the attribute.
      Returns:
        type of attribute

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.